Bug 89905 - Extra /ccm in return URL after selecting 'Add template' for a Content Type
Extra /ccm in return URL after selecting 'Add template' for a Content Type
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 12:37 EDT by Jon Orris
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-04-29 12:37:03 EDT
Description of problem:
@30313/RHDB

Go to Content Types
Select a type
Click Add Template
Will get a 404 because the redirect url has an extra /ccm
Comment 1 Justin Ross 2003-04-29 13:57:56 EDT
Jon, could you turn on debug logging for web and send me the stack trace that
the redirect signal emits?  I can probably describe the fix quickly without
spinning up 5.2 here.
Comment 2 Jon Orris 2003-04-29 14:22:30 EDT
2003-04-29 13:19:44,348 [0][3]] DEBUG web.DispatcherServlet - Servicing request
'/ccm/articles/admin/index.jsp'
2003-04-29 13:19:44,348 [0][3]] DEBUG web.BaseDispatcher - Dispatching request
/ccm/articles/admin/index.jsp [,/ccm,/articles/admin/index.jsp,null]
2003-04-29 13:19:44,348 [0][3]] DEBUG web.BaseDispatcher - Checking if this
request needs a trailing slash
2003-04-29 13:19:44,348 [0][3]] DEBUG web.BaseDispatcher - The last fragment of
the path appears to be a file name; no trailing slash is needed
2003-04-29 13:19:44,348 [0][3]] DEBUG web.BaseDispatcher - Storing the path
elements of the current request as the original path elements
2003-04-29 13:19:44,349 [0][3]] DEBUG web.URL - com.arsdigita.web.URL@7712c232
[http,ccm-installer.boston.redhat.com,8080,,/ccm,/articles/admin/index.jsp,]
2003-04-29 13:19:44,349 [0][3]] DEBUG web.BaseDispatcher - Using path
'/articles/admin/index.jsp' to lookup application
2003-04-29 13:19:44,349 [0][3]] DEBUG web.BaseDispatcher - *** Starting
application lookup for path '/articles/admin/index.jsp' ***
2003-04-29 13:19:44,349 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/articles/admin/'?
2003-04-29 13:19:44,349 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:44,349 [0][3]] DEBUG web.BaseDispatcher - Beginning transaction
2003-04-29 13:19:44,355 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:44,355 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/articles/'?
2003-04-29 13:19:44,355 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:44,361 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:44,361 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/'?
2003-04-29 13:19:44,361 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - There's simply no
application to be found
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - Committing transaction
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - No application was
found; doing nothing
2003-04-29 13:19:44,368 [0][3]] DEBUG web.DispatcherServlet - Could not dispatch
this request to an application;  using the fallback servlet
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - Checking if this
request needs to be forwarded or included
2003-04-29 13:19:44,368 [0][3]] DEBUG web.BaseDispatcher - The attribute
javax.servlet.include.request_uri is not set; forwarding
2003-04-29 13:19:44,409 [0][3]] DEBUG web.InternalRequestLocal - Initializing
all request-local objects; there are 5
2003-04-29 13:19:44,409 [0][3]] DEBUG web.ParameterMap - Running parameter
listeners; they number 2
2003-04-29 13:19:44,409 [0][3]] DEBUG web.GlobalizationParameterListener -
Running globalization parameter listener
2003-04-29 13:19:44,410 [0][3]] DEBUG web.GlobalizationParameterListener - The
parameter was set to 'ISO-8859-1'; preserving it
2003-04-29 13:19:44,416 [0][3]] INFO  web.WebContext - Application set to null
2003-04-29 13:19:44,416 [0][3]] INFO  web.WebContext - RequestURL set to
/ccm/articles/admin/index.jsp
2003-04-29 13:19:44,788 [0][3]] DEBUG web.WebConfig - Returning "" for
DispatcherContextPath
2003-04-29 13:19:44,788 [0][3]] DEBUG web.WebConfig - Returning "/ccm" for
DispatcherServletPath
2003-04-29 13:19:44,788 [0][3]] DEBUG web.URL - com.arsdigita.web.URL@1872020f
[http,ccm-installer.boston.redhat.com,8080,,/ccm,/articles/,null]
2003-04-29 13:19:44,797 [0][3]] DEBUG web.ParameterMap - Running parameter
listeners; they number 2
2003-04-29 13:19:44,798 [0][3]] DEBUG web.GlobalizationParameterListener -
Running globalization parameter listener
2003-04-29 13:19:44,798 [0][3]] DEBUG web.GlobalizationParameterListener - The
parameter was set to 'ISO-8859-1'; preserving it
2003-04-29 13:19:44,798 [0][3]] DEBUG web.WebConfig - Returning "" for
DispatcherContextPath
2003-04-29 13:19:44,798 [0][3]] DEBUG web.WebConfig - Returning "/ccm" for
DispatcherServletPath
2003-04-29 13:19:44,798 [0][3]] DEBUG web.URL - com.arsdigita.web.URL@702bc20f
[http,ccm-installer.boston.redhat.com,8080,,/ccm,/ccm/articles/admin/item.jsp,g11n.enc=ISO-8859-1&item_id=14001&set_tab=1&g11n.enc=ISO-8859-1]
2003-04-29 13:19:44,799 [0][3]] DEBUG web.TransactionSignal - Constructing a
transaction signal with isCommitRequested set true
2003-04-29 13:19:44,799 [0][3]] DEBUG web.RedirectSignal - Request for redirect
to URL
'/ccm/ccm/articles/admin/item.jsp?g11n.enc=ISO-8859-1&item_id=14001&set_tab=1&g11n.enc=ISO-8859-1'
java.lang.Throwable
        at com.arsdigita.web.RedirectSignal.<init>(RedirectSignal.java:43)
        at com.arsdigita.web.RedirectSignal.<init>(RedirectSignal.java:51)
        at
com.arsdigita.dispatcher.DispatcherHelper.sendExternalRedirect(DispatcherHelper.java:523)
        at
com.arsdigita.dispatcher.DispatcherHelper.sendRedirect(DispatcherHelper.java:474)
        at
com.arsdigita.cms.ui.templates.TemplateCreate.process(TemplateCreate.java:174)
        at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:424)
        at com.arsdigita.bebop.FormSection$4.process(FormSection.java:404)
        at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:447)
        at com.arsdigita.bebop.FormModel.process(FormModel.java:341)
        at com.arsdigita.bebop.Form.process(Form.java:433)
        at com.arsdigita.bebop.Form.respond(Form.java:278)
        at com.arsdigita.bebop.PageState.respond(PageState.java:348)
        at com.arsdigita.bebop.Page.process(Page.java:696)
        at com.arsdigita.bebop.Page.process(Page.java:678)
        at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
        at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:222)
        at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:72)
        at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:228)
        at
com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:230)
        at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:307)
        at
com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
        at
com.arsdigita.cms.dispatcher.ContentSectionDispatcher.dispatch(ContentSectionDispatcher.java:66)
        at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:413)
        at
com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:71)
        at
com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:248)
        at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at
com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:235)
        at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:315)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
        at
org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:683)
        at
org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:403)
        at
org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:355)
        at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:203)
        at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:150)
        at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:247)
        at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:193)
        at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:243)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
        at
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
        at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:190)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
        at
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
        at
org.apache.catalina.core.StandardContext.invoke(StandardContext.java:2347)
        at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:180)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
        at
org.apache.catalina.valves.ErrorDispatcherValve.invoke(ErrorDispatcherValve.java:170)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
        at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:170)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:468)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:564)
        at
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
        at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:174)
        at
org.apache.catalina.core.StandardPipeline.invokeNext(StandardPipeline.java:566)
        at
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:472)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:943)
        at
org.apache.catalina.connector.http.HttpProcessor.process(HttpProcessor.java:1027)
        at
org.apache.catalina.connector.http.HttpProcessor.run(HttpProcessor.java:1125)
        at java.lang.Thread.run(Thread.java:512)
2003-04-29 13:19:44,998 [0][3]] DEBUG web.InternalRequestLocal - Clearing all
request-local objects; there are 5
2003-04-29 13:19:45,092 [0][3]] DEBUG web.DispatcherServlet - Servicing request
'/ccm/ccm/articles/admin/item.jsp'
2003-04-29 13:19:45,092 [0][3]] DEBUG web.BaseDispatcher - Dispatching request
/ccm/ccm/articles/admin/item.jsp
[,/ccm,/ccm/articles/admin/item.jsp,g11n.enc=ISO-8859-1&item_id=14001&set_tab=1&g11n.enc=ISO-8859-1]
2003-04-29 13:19:45,092 [0][3]] DEBUG web.BaseDispatcher - Checking if this
request needs a trailing slash
2003-04-29 13:19:45,092 [0][3]] DEBUG web.BaseDispatcher - The last fragment of
the path appears to be a file name; no trailing slash is needed
2003-04-29 13:19:45,092 [0][3]] DEBUG web.BaseDispatcher - Storing the path
elements of the current request as the original path elements
2003-04-29 13:19:45,093 [0][3]] DEBUG web.URL - com.arsdigita.web.URL@3505820f
[http,ccm-installer.boston.redhat.com,8080,,/ccm,/ccm/articles/admin/item.jsp,g11n.enc=ISO-8859-1&item_id=14001&set_tab=1&g11n.enc=ISO-8859-1&g11
n.enc=ISO-8859-1]
2003-04-29 13:19:45,093 [0][3]] DEBUG web.BaseDispatcher - Using path
'/ccm/articles/admin/item.jsp' to lookup application
2003-04-29 13:19:45,093 [0][3]] DEBUG web.BaseDispatcher - *** Starting
application lookup for path '/ccm/articles/admin/item.jsp' ***
2003-04-29 13:19:45,093 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/ccm/articles/admin/'?
2003-04-29 13:19:45,093 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:45,093 [0][3]] DEBUG web.BaseDispatcher - Beginning transaction
2003-04-29 13:19:45,099 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:45,099 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/ccm/articles/'?
2003-04-29 13:19:45,099 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:45,110 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database2003-04-29 13:19:45,111 [0][3]] DEBUG
web.BaseDispatcher - Is there an application at path '/ccm/'?
2003-04-29 13:19:45,111 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:45,117 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:45,117 [0][3]] DEBUG web.BaseDispatcher - Is there an
application at path '/'?
2003-04-29 13:19:45,117 [0][3]] DEBUG web.BaseDispatcher - The cache does not
have an application at this path; looking in the database
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - No application at
this path in cache or database
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - There's simply no
application to be found
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - Committing transaction
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - No application was
found; doing nothing
2003-04-29 13:19:45,123 [0][3]] DEBUG web.DispatcherServlet - Could not dispatch
this request to an application;  using the fallback servlet
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - Checking if this
request needs to be forwarded or included
2003-04-29 13:19:45,123 [0][3]] DEBUG web.BaseDispatcher - The attribute
javax.servlet.include.request_uri is not set; forwarding
2003-04-29 13:19:45,125 [0][3]] DEBUG web.InternalRequestLocal - Initializing
all request-local objects; there are 5
2003-04-29 13:19:45,125 [0][3]] DEBUG web.ParameterMap - Running parameter
listeners; they number 2
2003-04-29 13:19:45,125 [0][3]] DEBUG web.GlobalizationParameterListener -
Running globalization parameter listener
2003-04-29 13:19:45,126 [0][3]] DEBUG web.GlobalizationParameterListener - The
parameter was set to 'ISO-8859-1'; preserving it
2003-04-29 13:19:45,146 [0][3]] INFO  web.WebContext - Application set to null
2003-04-29 13:19:45,146 [0][3]] INFO  web.WebContext - RequestURL set to
/ccm/ccm/articles/admin/item.jsp?g11n.enc=ISO-8859-1&item_id=14001&set_tab=1&g11n.enc=ISO-8859-1&g11n.enc=ISO-8859-1
2003-04-29 13:19:45,152 [0][3]] DEBUG web.InternalRequestLocal - Clearing all
request-local objects; there are 5

Comment 3 Richard Li 2003-04-29 14:33:48 EDT
Fix @30377.
Comment 4 David Lawrence 2006-07-17 23:42:38 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Jon Orris 2006-09-05 13:45:21 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.